# SPDX-License-Identifier: BSD-3-Clause
---
- name: Manage autoconnect
  hosts: network-test
  vars:
    network_connections:
      # Create one ethernet profile and activate it.
      # The profile uses automatic IP addressing
      # and is tied to the interface by MAC address.
      - name: prod1
        state: up
        type: ethernet
        autoconnect: true
        autoconnect_retries: 2
        mac: "{{ network_mac1 }}"
        mtu: 1450

  roles:
    - linux-system-roles.network
